package com.yem.wm.im.clientdemand.op;

import com.yem.wm.im.clientdemand.validator.ClientSubmitValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
/**
 * @author 张立攀
 * @version 1.0
 * @description  客户需求单提交服务插件
 * @date 2023-07-22 14:56
 */
public class DetailedinforSubmitPlugin extends AbstractOperationServicePlugIn {

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        e.getFieldKeys().add(ClientSubmitValidator.material);
        e.getFieldKeys().add(ClientSubmitValidator.bigcabinetnumber);
        e.getFieldKeys().add(ClientSubmitValidator.mincabinetnumber);
        e.getFieldKeys().add(ClientSubmitValidator.sonEntry);
        e.getFieldKeys().add(ClientSubmitValidator.entry);
        e.getFieldKeys().add(ClientSubmitValidator.marketraiseprice);
        e.getFieldKeys().add(ClientSubmitValidator.standardprice);
        e.getFieldKeys().add(ClientSubmitValidator.businesssort);
        e.getFieldKeys().add("yem_materialclass");
        e.getFieldKeys().add("yem_fundusetype");
        e.getFieldKeys().add("yem_offeramount");
        e.getFieldKeys().add("yem_salescontrac_s");
        e.getFieldKeys().add("yem_businesssort");
        e.getFieldKeys().add("yem_multiconfig");
        e.getFieldKeys().add("yem_marketraisepribase");
        e.getFieldKeys().add("yem_billtype");
        e.getFieldKeys().add("yem_rapamt");
        e.getFieldKeys().add("yem_disamt");
        e.getFieldKeys().add("yem_fundpoolamt");

        e.getFieldKeys().add("yem_currency");
        e.getFieldKeys().add("yem_currencybase");
        e.getFieldKeys().add("yem_internationalrate");
    }
    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        e.addValidator(new ClientSubmitValidator());
    }
}
